name: field.blocks.image.name
icon: image
preview: image

fields:
  image:
    label: field.blocks.image.name
    type: files
    multiple: false
    accept: image/jpeg, image/png
    help: Au format jpg ou png 
    image:
      back: black

  alt: fields/alt
      
  caption:
    label: field.blocks.image.caption
    type: writer
    inline: true
    nodes: false
    marks:
      - bold
      - strike
      - link
    icon: text
    help: S'affiche sous la photo
    inline: true

  alignement:
    label: Alignement
    type: toggles
    default: left
    options:
      - value: left
        text: Gauche
        icon: text-left
      - value: center
        text: Centre
        icon: text-center
      - value: right
        text: Droite
        icon: text-right
  
  size:
    label: Taille de l'image
    type: radio
    default: default
    options:
      default: Defaut (Largeur maximum des paragraphes)
      xl: grand
      md: moyen
      sm: petit
      xs: très petit
  